Subject: Re: [PATCH] Windows: git-shell can be compiled again

From: Johannes Sixt <[email-masked]>
Date: Mon, 08 Sep 2008 13:53:40 +0200

dhruva schrieb:
>  Are there any M$ specific issues still out there that needs some attention? I could help on stuff that does not require git internal knowledge. Are there some M$ specific performance issues that I could try to help? Let me know, I will try my best to help. I need to have git on both GNU/linux and M$ platforms for day job.

In order of increasing difficulty:

- Run the tests on different platforms and servicepack levels.

- Get proficient in building the installer for a release.

- Find a way to build perl scripts that is acceptable for upstream git.git
and that also works on MSYS/MinGW. Currently we still modify the build
procedure, and the results do not work during 'make test'.

- Give some love to git-svn.perl. It will be removed from msysgit's
1.6.0.x release because it raises expectations that cannot be fulfilled.
Please dig the list archive: http://groups.google.com/group/msysgit

I don't think a lot can be done performance-wise unless you want to help
port scripts to C.

-- Hannes